View Issue Details

IDProjectCategoryView StatusLast Update
0000649SOGoWeb Mailpublic2010-11-11 14:57
Reporterwimmer Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Versionnightly v2 
Target Version1.3.4Fixed in Version1.3.4 
Summary0000649: selection of many messages in "live-loading"
Description

WebGUI, mtn, live-loading:

  • I work in folder with a lot of messages
  • I wish to delete many messages
  • I select first of them
    a) when last 'selected' message is in the loaded list, all messages in between first and last messages are selected => OK
    b) when last 'selected' message is not in the loaded list and loading process is in the progress between selection of first and last messages, then messages in between them are not selected => it is fault
TagsNo tags attached.

Activities

francis

francis

2010-10-25 13:46

administrator   ~0001652

Is this bug still present? Can't reproduce it with 1.3.3.

wimmer

wimmer

2010-10-25 18:14

reporter   ~0001655

It looks 'select' works fine now.
But when I select block of some messages (in the variant b) and I delete them,
messages-list window stays completely white - empty. Oh - just now (after 3 minutes) it was redraw fine. But I deleted 200 messages (or so) only and I have very strong servers (both imap and sogo) which are under load 0 now. It tried to do same thing in Thunderbird - it needs 10 seconds for it.

From users view - it was gold times without liveloading - Mail module was amazingly fast, it was not frustrating, it was not eat memory and it worked well. I know - liveloading technology can looks better for some users and it is closer to Thunderbird, but reliability and speed have more weight after all when you are using SOGo WebGUI for serious work. Francis, it is not criticism, it is sigh only...

So what to do with this track... - yes, it looks you can close it, but most of users who will wish to delete block of messages like I tried, will say "It doesn't work well". Maybe it has no relation with liveloading, I don't know...

In all cases - thanks for your work.

ludovic

ludovic

2010-10-28 17:10

administrator   ~0001661

"Targeting for v1.3.4" in the sense that we'll try to add optimizations for the live-loading code.

We identified a nice tracing tool that give us insights and we must explore them.

francis

francis

2010-11-01 16:26

administrator   ~0001680

I made a few changes to the liveloading (see revision 5457dab94bc7224402eec992425d14381e88c381). The demo server includes those changes if you want to try ..

Still need to fix the "massive delete" issue.

francis

francis

2010-11-04 11:16

administrator   ~0001703

I improved how the view is refreshed when deleting multiple messages (50723500f3fd2e527f835f55eb94a6a5f7413e40). Let me know what you think.

Thanks!

wimmer

wimmer

2010-11-05 10:54

reporter   ~0001717

wow wow - deleting multiple messages works very fast now - or it looks so ;-)

What I do:
I delete multiple messages, they are removed from sourec folder. When I switch to Trash folder then I do not see that deleted messages there. They are displayed only after clicking on "Get Mail" button.
When I do "Empty Trash" then, it is completely confused. "Inbox" folder is selected and all its messages + deleted messages from Trash are displayed together in it (or it looks so). After next "Get Mail" is "Inbox" displayed correctly. View to "Trash" folder shows all messages (so Trash was not emptied). I do "Empty Trash" again and then all is fine.
I tried this procedure repetitively with the same results.
I'm using dovecot+Maildir on the imap server side.

francis

francis

2010-11-08 13:50

administrator   ~0001736

I forgot to commit a file. Sorry about this. It was pushed earlier today (revision 6c9151f261ad9f73f6614808f73d4ca224c2cb8e).

wimmer

wimmer

2010-11-08 18:39

reporter   ~0001740

I used last mtn and it still doesn't work.
What I do:
I deleted 3 messages (as a block).
Going to Trash, I see them there.
I do Empty Trash.
Screen is redraw, Inbox folder is selected (why?).
I go back to Trash folder.
Header list shows all 3 messages (fault).
When I try to click to any of them, SOGo open warning window "The message you have selected doesn't exist anymore."

wimmer

wimmer

2010-11-08 18:54

reporter   ~0001741

Aha - it works fine in English language for me,
problem is in Czech only.
I will send you required Czech translations (Ludovic wrote me about it) and
then it could be fine.
Thanks.

francis

francis

2010-11-09 13:58

administrator   ~0001746

Strange, the missing Czech translations should not affect the live loading of the mail module. What kind of error do you have?

wimmer

wimmer

2010-11-09 14:25

reporter   ~0001747

ok - go to sogo-demo.inverse.ca , log as sogo1 with Francais language.

  • go to some folder
  • select block of messages and delete them
  • go to Corbeille folder - you will see them there and you will see their content
  • do Vider la corbeille
  • activity is moved to Inbox (why?)
  • so go again to Corbeille folder
  • you will see headers of removed messages in the list (fault)
  • you cannot see their content
  • do Vider la corbeille once more
  • activity is moved to Inbox again
  • so go back to Corbeille folder again
  • now there is no messages (ok).

=> so it is not Czech language problem only...

francis

francis

2010-11-10 10:23

administrator   ~0001750

I improved the behavior when emptying the trash. I just pushed a fix (revision dd23d4ef280d7ee44b779645014bd0c19bce9265). Thanks Milos!

wimmer

wimmer

2010-11-11 14:48

reporter   ~0001767

yes, I confirm it works great for me now.
I consider all your changes in this track for a big improvement.
Thanks.

ludovic

ludovic

2010-11-11 14:49

administrator   ~0001768

Can we close this bug?

wimmer

wimmer

2010-11-11 14:57

reporter   ~0001769

Yes.

Issue History

Date Modified Username Field Change
2010-06-08 16:54 wimmer New Issue
2010-10-25 13:46 francis Note Added: 0001652
2010-10-25 13:46 francis Assigned To => francis
2010-10-25 13:46 francis Status new => feedback
2010-10-25 18:14 wimmer Note Added: 0001655
2010-10-28 17:10 ludovic Note Added: 0001661
2010-10-28 17:10 ludovic Target Version => 1.3.4
2010-11-01 16:26 francis Note Added: 0001680
2010-11-04 11:16 francis Note Added: 0001703
2010-11-05 10:54 wimmer Note Added: 0001717
2010-11-08 13:50 francis Note Added: 0001736
2010-11-08 18:39 wimmer Note Added: 0001740
2010-11-08 18:54 wimmer Note Added: 0001741
2010-11-09 13:58 francis Note Added: 0001746
2010-11-09 14:25 wimmer Note Added: 0001747
2010-11-10 10:23 francis Note Added: 0001750
2010-11-11 14:48 wimmer Note Added: 0001767
2010-11-11 14:49 ludovic Note Added: 0001768
2010-11-11 14:57 wimmer Note Added: 0001769
2010-11-11 14:57 ludovic Status feedback => resolved
2010-11-11 14:57 ludovic Fixed in Version => 1.3.4
2010-11-11 14:57 ludovic Resolution open => fixed